summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/installer/install.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index 5519e8a7..e55e7214 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -39,8 +39,11 @@ declare -a __lvim_dirs=(
declare -a __npm_deps=(
"neovim"
- "tree-sitter-cli"
)
+# treesitter installed with brew causes conflicts #3738
+if ! command -v tree-sitter &>/dev/null; then
+ __npm_deps+=("tree-sitter-cli")
+fi
declare -a __pip_deps=(
"pynvim"